Docs

Get Setup Intent

GET /payment-methods/setup-intents/{setupIntentId}

GET/payment-methods/setup-intents/{setupIntentId}

Returns the status of a setup intent started with PaymentMethods_CreateSetupIntent: the resulting payment method id, any next action such as bank microdeposit verification, and the last error. Only intents belonging to this organization are found. Requires OrganizationAdmin.

Path Parameters

FieldTypeRequiredDescription
setupIntentIdstringRequired

Response

FieldTypeDescription
statusstring| null
paymentMethodIdstring| null
nextActionGetSetupIntentResponseNextActionInfo
lastErrorGetSetupIntentResponseLastErrorInfo

GetSetupIntentResponseNextActionInfo

FieldTypeDescription
typestring| null
microdepositTypestring| null
hostedVerificationUrlstring| null
arrivalDatedate-time| null

GetSetupIntentResponseLastErrorInfo

FieldTypeDescription
codestring| null
declineCodestring| null
messagestring| null